<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <mat-expansion-panel class="parametersPanel">
    <mat-expansion-panel-header>
      <mat-panel-title>
        <mat-icon class="e-mat-icon e-mat-icon--2">date_range</mat-icon>
        <span class="eh-w-140 eh-ml-2">{{dateFC.value | date:'E | d-MMM-y':'+0530'}}</span>
        <span *ngIf="isNew" class="e-txt e-txt--matred300 eh-txt-12 eh-txt-bold eh-ml-8">
          New!
        </span>
      </mat-panel-title>
    </mat-expansion-panel-header>
    <div class="eh-mt-8 eh-w-100p eh-h-100p" fxLayout="row" fxLayoutAlign="end center">
      <div *ngIf="hasChanged" class="e-txt e-txt--matred600 eh-mr-6">
        <mat-icon class="e-mat-icon e-mat-icon--3">warning</mat-icon>
      </div>
      <app-button-icon-title class="eh-w-20 eh-px-2" buttonStyle="e-txt e-txt--matred600" icon="settings_backup_restore"
        [disabled]="saving || deleting" (onButtonClick)="reset()">
      </app-button-icon-title>
      <app-button-icon-title class="eh-w-20 eh-px-2 eh-ml-4" buttonStyle="e-txt e-txt--matgreen500" icon="save"
        [loading]="deleting" (onButtonClick)="save()">
      </app-button-icon-title>
      <app-button-icon icon="delete" class="eh-ml-4" [loading]="deleting" [disabled]="saving"
        (onButtonClick)="delete()">
      </app-button-icon>
    </div>
    <form [formGroup]="logFG" autocomplete="off" class="eh-mt-16">
      <div class="eh-mt-8 eh-maxw-320 eh-h-100p eh-p-8" fxLayout="column" fxLayoutAlign="start">
        <div class="e-title eh-txt-bold">
          Meal : Breakfast
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
            <span>Time</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
              <input matInput formControlName="breakfastTime" placeholder="hh:mm" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
            <span>Food</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="breakfastAte" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
            <span>Fluids</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="breakfastDrank" type="number">
            </mat-form-field>
          </div>
        </div>
      </div>
      <div class="eh-mt-8 eh-maxw-320 eh-h-100p eh-p-8" fxLayout="column" fxLayoutAlign="start">
        <div class="e-title eh-txt-bold">
          Meal : Mid-Morning
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
            <span>Time</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="midMorningTime" placeholder="hh:mm" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
            <span>Food</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="midMorningAte" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
            <span>Fluids</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="midMorningDrank" type="number">
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
        <div class="e-title eh-txt-bold">
          Meal : Lunch
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
            <span>Time</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
              <input matInput formControlName="lunchTime" placeholder="hh:mm" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
            <span>Food</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="lunchAte" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
            <span>Fluids</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="lunchDrank" type="number">
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="eh-mt-8 eh-maxw-320 eh-h-100p eh-p-8" fxLayout="column" fxLayoutAlign="start">
        <div class="e-title eh-txt-bold">
          Meal : Mid-Afternoon
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
            <span>Time</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
              <input matInput formControlName="midAfternoonTime" placeholder="hh:mm" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
            <span>Food</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="midAfternoonAte" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
            <span>Fluids</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="midAfternoonDrank" type="number">
            </mat-form-field>
          </div>
        </div>
      </div>
      <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
        <div class="e-title eh-txt-bold">
          Meal : Evening
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
            <span>Time</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
              <input matInput formControlName="eveningTime" placeholder="hh:mm" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
            <span>Food</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="eveningAte" type="text">
            </mat-form-field>
          </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="start baseline">
          <div fxFlex="0 0 30%">
            <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
            <span>Fluids</span>
          </div>
          <div fxFlex="0 0 70%">
            <mat-form-field class="eh-w-100p eh-ml-8">
              <input matInput formControlName="eveningDrank" type="number">
            </mat-form-field>
          </div>
        </div>

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Meal : Dinner
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
              <span>Time</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="dinnerTime" placeholder="hh:mm" type="text">
              </mat-form-field>

            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
              <span>Food</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="dinnerAte" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
              <span>Fluids</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="dinnerDrank" type="number">
              </mat-form-field>
            </div>
          </div>
        </div>

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Meal : Bed-Time
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
              <span>Time</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="bedTimeTime" placeholder="hh:mm" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
              <span>Food</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="bedTimeAte" type="text">
              </mat-form-field>
            </div>
          </div>

          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
              <span>Fluids</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="bedTimeDrank" type="number">
              </mat-form-field>
            </div>
          </div>
        </div>

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Meal : Pre-Workout
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
              <span>Time</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="preWorkoutTime" placeholder="hh:mm" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
              <span>Food</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="preWorkoutAte" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
              <span>Fluids</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="preWorkoutDrank" type="number">
              </mat-form-field>
            </div>
          </div>
        </div>

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Meal : Post-Workout
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
              <span>Time</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="postWorkoutTime" placeholder="hh:mm" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
              <span>Food</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="postWorkoutAte" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
              <span>Fluids</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="postWorkoutDrank" type="number">
              </mat-form-field>
            </div>
          </div>
        </div>

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p  eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Meal : Other
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">av_timer</mat-icon>
              <span>Time</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8" floatLabel="never">
                <input matInput formControlName="otherTime" placeholder="hh:mm" type="text">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">restaurant</mat-icon>
              <span>Food</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="otherAte" type="text">
              </mat-form-field>
            </div>
          </div>

          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">local_drink</mat-icon>
              <span>Fluids</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="otherDrank" type="number">
              </mat-form-field>
            </div>
          </div>
        </div>

        <!-- <div class="eh-mt-16" fxLayout="row">
            <div class="e-title eh-txt-bold">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">fitness_center</mat-icon>
              <span>Exercise</span>
            </div>
            <div class="e-title" fxFlex="0 0 35%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">list</mat-icon>
              <span>Type</span>
            </div>
            <div class="e-title" class="e-title eh-txt-bold">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">timer</mat-icon>
              <span>Duration</span>
            </div>
            <div class="e-title" fxFlex="0 0 25%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">network_check</mat-icon>
              <span>Intensity</span>
            </div>
          </div> -->

        <div class="eh-mt-8 eh-maxw-320 eh-h-100p eh-p-8" fxLayout="column" fxLayoutAlign="start">
          <div class="e-title eh-txt-bold">
            Exercise : Activity
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div class="eh-txt-bold" fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">list</mat-icon>
              <span>Type</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="exerciseType" type="text" placeholder="Walking, Running, ...">
              </mat-form-field>
            </div>
          </div>

          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div class="eh-txt-bold" fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">timer</mat-icon>
              <span>Duration</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="exerciseDuration" type="text" placeholder="15m, 1h, ...">
              </mat-form-field>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start baseline">
            <div class="eh-txt-bold" fxFlex="0 0 30%">
              <mat-icon class="e-mat-icon e-mat-icon--5 eh-mr-8">network_check</mat-icon>
              <span>Intensity</span>
            </div>
            <div fxFlex="0 0 70%">
              <mat-form-field class="eh-w-100p eh-ml-8">
                <input matInput formControlName="exerciseIntensity" type="text" placeholder="High, Medium, or Low">
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </form>
  </mat-expansion-panel>
</ng-container>
<ng-template #dataAwaitedBlk>
  <div class="e-spinner">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>